Package org.gradle.plugins.ide.eclipse.model

# Class EclipseWtp

java.lang.Object
org.gradle.plugins.ide.eclipse.model.EclipseWtp

@Deprecated public abstract class EclipseWtp extends Object
Deprecated.
Will be removed in Gradle 10.
Enables fine-tuning wtp/wst details of the Eclipse plugin

For projects applying the eclipse plugin and either one of the ear or war plugins, this plugin is auto-applied.

More interesting examples you will find in docs for `EclipseWtpComponent` and `EclipseWtpFacet`

     plugins {
         id 'war' // or 'ear' or 'java'
         id 'eclipse-wtp'
     }

     eclipse {

       //if you want parts of paths in resulting file(s) to be replaced by variables (files):
       pathVariables 'GRADLE_HOME': file('/best/software/gradle'), 'TOMCAT_HOME': file('../tomcat')

       wtp {
         component {
           //for examples see docs for EclipseWtpComponent
         }

         facet {
           //for examples see docs for EclipseWtpFacet
         }
       }
     }

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EclipseWtp()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `component(Closure action)`
  Deprecated.
  Configures wtp component.
  `void`
  `component(Action<? super EclipseWtpComponent> action)`
  Deprecated.
  Configures wtp component.
  `void`
  `facet(Closure action)`
  Deprecated.
  Configures wtp facet.
  `void`
  `facet(Action<? super EclipseWtpFacet> action)`
  Deprecated.
  Configures wtp facet.
  `EclipseWtpComponent`
  `getComponent()`
  Deprecated.
  Configures wtp component.
  `EclipseWtpFacet`
  `getFacet()`
  Deprecated.
  Configures wtp facet.
  `protected abstract ObjectFactory`
  `getObjectFactory()`
  Deprecated.
  Injects and returns an instance of `ObjectFactory`.
  `void`
  `setComponent(EclipseWtpComponent component)`
  Deprecated.
  `void`
  `setFacet(EclipseWtpFacet facet)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EclipseWtp

    @Inject public EclipseWtp()
    Deprecated.

- ## Method Details

  - ### getObjectFactory

    @Inject protected abstract ObjectFactory getObjectFactory()
    Deprecated.
    Injects and returns an instance of `ObjectFactory`.
    Since:
      4.9

  - ### getComponent

    public EclipseWtpComponent getComponent()
    Deprecated.
    Configures wtp component.

    For examples see docs for `EclipseWtpComponent`

  - ### setComponent

    public void setComponent(EclipseWtpComponent component)
    Deprecated.

  - ### component

    public void component(@DelegatesTo(EclipseWtpComponent.class) Closure action)
    Deprecated.
    Configures wtp component.

    For examples see docs for `EclipseWtpComponent`

  - ### component

    public void component(Action<? super EclipseWtpComponent> action)
    Deprecated.
    Configures wtp component.

    For examples see docs for `EclipseWtpComponent`

    Since:
      3.5

  - ### getFacet

    public EclipseWtpFacet getFacet()
    Deprecated.
    Configures wtp facet.

    For examples see docs for `EclipseWtpFacet`

  - ### setFacet

    public void setFacet(EclipseWtpFacet facet)
    Deprecated.

  - ### facet

    public void facet(@DelegatesTo(EclipseWtpFacet.class) Closure action)
    Deprecated.
    Configures wtp facet.

    For examples see docs for `EclipseWtpFacet`

  - ### facet

    public void facet(Action<? super EclipseWtpFacet> action)
    Deprecated.
    Configures wtp facet.

    For examples see docs for `EclipseWtpFacet`

    Since:
      3.5